Bug 15482 - Crash during "Transferring Install Image To Hard Drive"
Crash during "Transferring Install Image To Hard Drive"
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Erik Troan
Winston gold
Depends On:
  Show dependency treegraph
Reported: 2000-08-05 11:16 EDT by Daryll
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-21 15:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daryll 2000-08-05 11:16:33 EDT
Short Description:
You appear to want to copy an 80MB install image to the root filesystem in
order to do the install. If the disk doesn't have that much space the
install crashes and leaves the system in a difficult to recover state.

Long Description:
When the crash occurred it displayed an error box with buttons to save to
floppy and to scroll the display, but the user interface is frozen at this
point, so the display is useless.

I switched to VT1 and copied the following Python dump by hand:

File /var/tmp/anaconda-7.0//usr/lib/anaconda/iw/progress_gui.pu, Line 19 in
run rc=self.todo.doInstall()

File /var/tmp/anaconda-7.0//usr/lib/anaconda/iw/ToDo.py Line 1451 in
DoInstall self.method.systemMounted(self.fstab, self.instPath,

File /var/tmp/anaconda-7.0//usr/lib/anaconda/iw/image.py Line 40 in
SystemMounted (self.progresswindow,_("Copying File"),

File /var/tmp/anaconda-7.0//usr/lib/anaconda/iw/util.py Line 144, in
copyFile.os.write(t, count)

Also the error message appeared as:

OSError: [Errno 28] No Space Left on Device

At this point my only choice was to reboot. This left the file systems
dirty. My next install it told me I needed to go into Linux to fsck. I did
that. Linux didn't come up cleanly because the root was full, so the mount
table couldn't be written during statup and therefore df couldn't work.
Also the rpm database appears to have been converted at this point, so rpm
no longer works on the system.


First, check that there is space for the install image before installing
Second, if possible allow that image to go on another partition on the
system. My root is only 128MB, so even when I freed enough space to get the
install on it it needed more space to do the actuall install and it failed
Comment 1 Glen Foster 2000-08-07 13:14:17 EDT
This defect is considered MUST-FIX for Winston Gold-release
Comment 2 Michael Fulbright 2000-08-09 12:40:52 EDT
I think this is fixed now - ewt?
Comment 3 Erik Troan 2000-08-09 12:50:09 EDT
Fixed internally.
Comment 4 Daryll 2000-08-19 01:45:54 EDT
RC-1 does not fix the problem. Now the installer decides that the file system
image should
be installed on /home, but fails the space check on /home because the filesystem
doesn't exist. When I looked in the debugger I saw that the variable fsystem was
set to "/home". Interestingly
enough /home is not the file system with the most space on my system.

Comment 5 Erik Troan 2000-08-21 15:24:47 EDT
Did you use the RC1 update disk?
Comment 6 Daryll 2000-08-21 15:27:42 EDT
No I used straight RC1. I will try again with RC2.
Comment 7 Erik Troan 2000-08-21 15:30:44 EDT
This problem definitely occured w/o the updates disk. Reopen  if RC2 still
freaks out.

Note You need to log in before you can comment on or make changes to this bug.